Next Previous Contents

## 3.112 mouse_pos

> Function

>   Return the position of the mouse.

> Header

>   `mouse.h`

> Declaration

>   `void __fastcall__ mouse_pos (struct mouse_pos* pos);`

> Description

>   The function returns the position of the mouse in the `mouse_pos` structure passed as parameter.

> Limits

>   - The `mouse_pos` struct is a subset of the `mouse_info` struct, so if you do also need the mouse buttons, call `mouse_info` instead.
>   - The function is only available as fastcall function, so it may only be used in presence of a prototype.
> Availability

>   cc65

> See also

>   mouse_buttons, mouse_info

> Example

>   None.

Next Previous Contents